# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# 32/64bit spec-file
#

%define name		qt4-fsarchiver
%define version		0.6.19
%define release		%mkrel 2


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Qt GUI for fsarchiver
URL:		http://qt4-fsarchiver.sourceforge.net/
Group:		Archiving/Backup
License:	GPL v3
Source0:		%{name}-%{version}-1.tar.xz
Source1:            qt4-fsarchiver_tr.ts
Source2:            org.fsarchiver.qt4.policy
Patch0:             qt4-fsarchiver-0.6.19-turkish_translation.patch

#------------------------------------
%ifarch x86_64
BuildRequires: 	%{_lib}lzo-devel
%else
BuildRequires: liblzo-devel
%endif
BuildRequires: %{_lib}attr1-devel
BuildRequires: %{_lib}blkid-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}ext2fs-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}lzma-devel
BuildRequires: %{_lib}lzo-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}uuid-devel
#------------------------------------
Requires:	fsarchiver
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
qt4-fsarchiver is a GUI for the program fsarchiver to save/restore partitions and folders.

%prep
%setup -q -n %{name}
%apply_patches
install -m 644 %{_sourcedir}/qt4-fsarchiver_tr.ts %{_builddir}/%{name}/translations/

%build
###qmake .
%qmake_qt4 #qt4-fsarchiver.pro
%make 

%install
%__rm -rf %buildroot
make install INSTALL_ROOT=%{buildroot}

#clean doc directory from backup files
rm -rf $RPM_BUILD_ROOT/usr/share/doc/qt4-fsarchiver/doc/*~

# corect icon path, we don't have /usr/share/app-install/icons/harddrive.png
mkdir $RPM_BUILD_ROOT/%{_iconsdir}
##mv $RPM_BUILD_ROOT/usr/share/qt4-fsarchiver/harddrive.png $RPM_BUILD_ROOT/%{_iconsdir}/
mv $RPM_BUILD_ROOT/usr/share/app-install/icons/harddrive.png  $RPM_BUILD_ROOT/%{_iconsdir}/

#we use our desktop file, because we don't use sudo
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Qt4-Fsarchiver
Comment=%{summary}
Exec=gksu /usr/sbin/qt4-fsarchiver
Icon=%{_iconsdir}/harddrive.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Archiving;X-MandrakeLinux-System-Archiving;
EOF

install -m 0644 -p translations/*.ts ${RPM_BUILD_ROOT}%{_datadir}/qt4/translations/
#bug: it does not install generated qt4-fsarchiver_tr.qm file!
install -m 0644 -p translations/qt4-fsarchiver_tr.qm %{buildroot}%{_datadir}/qt4/translations/qt4-fsarchiver_tr.qm

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/harddrive.png
%{_docdir}/%{name}/doc/*
%{_datadir}/qt4/translations/%{name}*.qm
%{_datadir}/qt4/translations/%{name}*.ts


%changelog
* Sat Sep 16 2017 threepio <threepio> - 0.6.17-2uplos2017
- rebuild

* Mon May 01 2017 ghostbunny <ghostbunny at gmx dot de> 0.6.17-2pclos2017
- rebuild against new libgcrypt

* Thu Apr 03 2014 pinoc <vogtpet at gmail.com> 0.6.19-1pclos2014
- 0.6.19

* Fri Jan 03 2014 ghostbunny <ghostbunny at gmx dot de> 0.6.17.5-1pclos2014
- 0.6.17.5

* Sat Jun 08 2013 pinoc <vogtpet at gmail.com> 0.6.17-4.1pclos2013
- 0.6.17-4 (renamed to 0.6.174)

* Sat May 18 2013 Texstar <texstar at gmail.com> 0.6.17-2pclos2013
- update package
- fix rpm group to Archiving/Backup

* Mon Mar 18 2013 daniel <meisssw01 at gmail.com> 0.6.17-1.2pclos2013
- fixed installation build
- corrected bin path

* Mon Mar 18 2013 pinoc <vogtpet at gmail.com> 0.6.17-1.1pclos2013
- 0.6.17-1
- added installation of translations

* Fri Jan 25 2013 pinoc <vogtpet at gmail.com> 0.6.15-2.1pclos2013
- 0.6.15-2

* Mon Aug 06 2012 Neal <nealbrks0 at gmail dot com> 0.6.13-4.1pclos2012
- process

* Mon Aug 06 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.6.13-4.1_archie_2012
- Create package
